Bug 126 - "Desktop" label of the plasma configurator is untranslated
: "Desktop" label of the plasma configurator is untranslated
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Alexander Burmashev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 15:55 MSD by Konstantin Vlasov
Modified: 2013-09-23 10:04 MSD (History)
9 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
"Desktop" is a room name! (146.97 KB, image/png)
2012-04-30 07:23 MSD, Vladimir Potapov
Details
Suse 'Desktop' (259.76 KB, image/png)
2012-12-05 23:53 MSK, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2012-04-25 15:55:55 MSD
In the right top corner of desktop there is the "Desktop" label that opens plasma menu for adding panels, widgets, various settings, etc. The "Desktop" text itself is always English, regardless of the currently used system language.

Tested on build 250.
Comment 1 Mikhail Kompaniets 2012-04-25 22:19:01 MSD
I have no idea about origin of this string.

In kde-workspace-4.8.2/plasma/desktop/toolboxes/desktoptoolbox.{h,cpp}
I found DesktopToolBox class which looks like this toolbox, but I don't understand where (and how) objects of this class are used...
Comment 2 Vladimir Potapov 2012-04-30 07:09:50 MSD
In Rc this bug is present...
Comment 3 Vladimir Potapov 2012-04-30 07:23:51 MSD
Created attachment 79 [details]
"Desktop" is a room name!

"Desktop" is a room name!
Comment 4 Vladimir Potapov 2012-08-02 16:33:54 MSD
Simple solution: replace "Desktop" to space " "
Comment 5 Konstantin Vlasov 2012-08-31 12:06:50 MSD
*** Bug 723 has been marked as a duplicate of this bug. ***
Comment 6 Vladimir Potapov 2012-10-23 15:31:03 MSD
Will this bug is fixed before the RP2 release?
Comment 7 JDronova 2012-12-04 08:40:29 MSK
(In reply to comment #6)
> Will this bug is fixed before the RP2 release?
If we'll get the exact name of the .po file or where to locate this string -- yes.
Comment 8 JDronova 2012-12-04 08:48:57 MSK
*** Bug 920 has been marked as a duplicate of this bug. ***
Comment 9 JDronova 2012-12-05 23:53:25 MSK
Created attachment 845 [details]
Suse 'Desktop'

В Опен Сусе тоже не переведено :)
Comment 10 Vladimir Potapov 2012-12-06 10:19:08 MSK
OpenSuse немцы делают, им простительно.
Предлагаю не переводить, а заменить на ROSA Marathon. (для десктопа - ROSA desktop). Тогда это сообщение будет полезным - говорить версию системы, да и вообще нас рекламировать :-)
Comment 11 Postnikov Dmitry 2012-12-06 11:58:44 MSK
В Fedora - "Панель"
В Chakra - "Новая комната"
В остальных по разному... где не переведено, где "Комната" и т.д.
Раз уж у нас одна комнта и один рабочий стол, тогда можно либо как в Федоре - "Панель", либо например "Плазма".
Comment 12 Denis Koryavov 2012-12-06 12:36:09 MSK
Это имя команаты. Т.е должно называться "Рабочий стол".
Comment 13 Vladimir Potapov 2012-12-06 12:47:27 MSK
(In reply to comment #12)
> Это имя команаты. Т.е должно называться "Рабочий стол".
Если бы у нас были другие комнаты - тогда да. Но т.к. этот механизм не используется (и не работает!), для человека это вход в управление плазмоидами. 
Но чтоб никому не обидно было, можно поступить кардинально - просто убрать любое название. Оно и так работает. И локализовать ничего не надо :-)
Comment 14 Denis Koryavov 2012-12-06 12:59:00 MSK
То, что мы его хотели убрать, это да (но теперь, видимо, не уберем - его намертво впилили в KDE  4.9). Но то, что других комнат нет и они не работают это не верно. На вашем же снимке несколько комнат отображено. 

Кстати, какие проблемы с их работоспособностью?
Comment 15 Vladimir Potapov 2012-12-06 13:19:14 MSK
1) Во всех комнатах нет обоев  - страшный черный экран
2) В фотокомнате прописан digicam - его нет в комплекте и ругается на какой-то frame при открытии
3) В "комнате поиска" для поиска в интернете предлагается использовать Konqueror а не наш Firefox
4) "Значки на рабочем столе" вообще непонятно, зачем нужен. А было бы классно его использовать для тех, кто привык к значкам на столе и разрешать в нем создавать что-то кроме текстового файла :-)
Comment 16 JDronova 2012-12-06 13:58:25 MSK
Так, давайте без лирики. Кто может чётко сказать, в каком файле находится эта строка?
Comment 17 Denis Koryavov 2012-12-10 12:00:59 MSK
Нашел где. Эта настройка задается в конфигурационном файле plasma-desktop-appletrc и конечно, её локализовать нельзя. Посему там написано desktop. Я придумал "финт ушами" назвал активность "ROSA", сам значок переместил в правый верхний угол так, что название только видно когда с активностью работаешь. Если название активности убрать вообще то она становится переведенной, конечно, но называется "Новая активность" или как-то так, что не верно. Скоро загружу в репозитории. Предлагайте иные варианты если считаете что можно придумать лучше.
Comment 18 JDronova 2013-02-15 18:32:12 MSK
Судя по всему, баг можно закрывать. При отсутствии возражений закрою в ближайшее время тогда.
Comment 19 Denis Koryavov 2013-02-15 20:35:09 MSK
Ошибку на самом деле я поправил для "Фреша" но не трогал "Марафон".
Comment 20 Denis Silakov 2013-09-21 18:25:47 MSD
Не думаю, что мы будем специально бэкпортить это изменение в Марафон и пересобирать KDE. Разве что решим зачем-нибудь KDE обновить.

Раз во фреше исправлено, то предлагаю на этом и закончить.
Comment 21 Vladimir Potapov 2013-09-22 12:57:40 MSD
(In reply to comment #20)
> Не думаю, что мы будем специально бэкпортить это изменение в Марафон и
> пересобирать KDE. Разве что решим зачем-нибудь KDE обновить.
> 
> Раз во фреше исправлено, то предлагаю на этом и закончить.

Если исправлено для фреша, это совершенно не значит что нужно закрыть баг для марафона. Баг-то есть и он в марафоне не исправлен.
Comment 22 Denis Silakov 2013-09-23 10:04:34 MSD
(In reply to comment #21)
> (In reply to comment #20)
> > Не думаю, что мы будем специально бэкпортить это изменение в Марафон и
> > пересобирать KDE. Разве что решим зачем-нибудь KDE обновить.
> > 
> > Раз во фреше исправлено, то предлагаю на этом и закончить.
> 
> Если исправлено для фреша, это совершенно не значит что нужно закрыть баг
> для марафона. Баг-то есть и он в марафоне не исправлен.

И не будет исправлен, во всяком случае целенаправленно. О чем и свидетельствует статус "wontfix".